import { Tab, TabSize } from './Tabs.types';
export interface TabsProps {
    tabs: Tab[];
    size: TabSize | [TabSize, TabSize, TabSize];
    currentTabName?: Tab['name'];
    onClickTab?: (tab: Tab) => void;
    gap?: number | number[];
    underline?: boolean;
}
declare const Tabs: ({ tabs, size, currentTabName, onClickTab, gap, underline, }: TabsProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Tabs;
